Bug 10830 - медленно работает в случае наличия NTFS раздела
: медленно работает в случае наличия NTFS раздела
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/evms)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-13 12:05 by
Modified: 2007-04-20 13:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-13 12:05:54
В случае наличия хотя бы одного раздела NTFS на диске - программа разбивки
работает недопустимо медленно.

Это Блокер. Просьба не закрывать без исправления. Поддержка NTFS при этом
необходима.
------- Comment #1 From 2007-03-14 04:41:20 -------
Медленно - это не то слово.
Каждое действие на диске занимает не меньше минуты времени.
------- Comment #2 From 2007-03-14 13:26:59 -------
так работает ntfsprogs.
Я могу сделать следующее:
- убрать в принципе возможность ресайзить ntfs (сейчас это и сделано)
- позволять ресайзить всегда, не выясняя перед этой операцией её возможность 
(на что и уходит это время), затем выкидывать сообщение 'упс, не удалось', если 
попытка
изменить размер таки была предпринята и не удалась.
------- Comment #3 From 2007-03-14 14:41:16 -------
можно сделать в теории кеширование вывода ntfsprogs.

Должно значительно ускорить.
------- Comment #4 From 2007-03-31 14:23:24 -------
как выясняется, даже первый запуск ntfsprogs при заходе на /vm
может длиться минуты и десятки минут. Я намерен отказаться
от поддержки ntfs в /vm до тех пор, пока поведение ntfsprogs
не изменится.
------- Comment #5 From 2007-03-31 14:35:17 -------
От поддержки /ресайза/ ntfs?
------- Comment #6 From 2007-03-31 14:54:45 -------
А бага на ntfsprogs то висит ?
------- Comment #7 From 2007-03-31 19:09:32 -------
Есть гипотеза, появившаяся после разглядывания лога,
что утилиты из ntfsprogs неправильно используются.
------- Comment #8 From 2007-03-31 21:02:31 -------
пояснить можно ? 
------- Comment #9 From 2007-03-31 21:07:24 -------
Насколько я помню (перед глазами лога нет),
в логе было много попыток запускать какие-то программы из ntfsprogs,
и все они каждый раз завершались с кодом возврата 1.
Может, семантика ntfsprogs изменилась...
------- Comment #10 From 2007-04-06 15:38:44 -------
fixed in evms-2.5.5-alt5
------- Comment #11 From 2007-04-06 15:39:19 -------
to co-maintainer
------- Comment #12 From 2007-04-06 15:40:05 -------
fixed in evms-2.5.5-alt5
------- Comment #13 From 2007-04-20 09:32:34 -------
Господа, проверьте пожалуйста на последнем инсталяторе - воспроизводится ли ?
------- Comment #14 From 2007-04-20 13:55:50 -------
В инсталяторе недельной давности замедления уже не было.